<?php

	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	class AdminGuestbookView extends AdminPluginTemplatedView
	{

		function AdminGuestbookView($blogInfo)
		{
			$this->AdminPluginTemplatedView($blogInfo, "guestbook", "adminguestbook");
		}

		function render()
		{
			$blogSettings = $this->_blogInfo->getSettings();

			$pluginEnabled = $blogSettings->getValue("plugin_guestbook_enabled");
			$postPerPage = $blogSettings->getValue("plugin_guestbook_postperpage");

			if ($postPerPage == "")
				$postPerPage = 10;

			$this->setValue("pluginEnabled", $pluginEnabled);
			$this->setValue("postPerPage", $postPerPage);

			parent::render();
		}
	}
?>